FactoryBot.define do
  factory :lotus_user, class: LotusAdmin.configuration.user_class_name do
    first_name { 'Johnny' }
    sequence(:last_name) { |n| "Appleseed #{ n }" }
    sequence(:email) { |n| "user+#{ n }@gmail.com" }
    password { 'password' }

    after :build do |user, evaluator|
      user.confirm
    end
  end
end
